.functions{
    background-color: #F1F1F1;
    width: 100vw;
    padding-bottom: 5rem;
    position: relative;
}

.functions .scroll-area{
    width: fit-content;
    min-width: 100rem;
    max-width: 100vw;
    overflow-x: scroll;
    margin: auto;
    display: flex;
    background-image: url("../images/beach.jpg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-color: #00000020;
    background-blend-mode: color;
    z-index: 2;
    position: relative;
}

.functions .scroll-area .scroll-item{
    width: 25rem;
    position: relative;
    display: block;
    padding: 1rem 1rem;
}
.functions .scroll-area .scroll-item img{
    width: 22.5rem;
    padding-left: 1.25rem;
    padding-right: 1.25rem;
    position: relative;
    display: block;
}
.functions .scroll-area .scroll-item p{
    width: 22.5rem;
    font-size: 1.25rem;
    color: black;
    background-color: white;
    text-align: center;
    margin-top: 1rem;
    padding: 1.25rem;
}


@media screen and (max-width: 767px) {
    .functions{
        background-color: #F1F1F1;
        width: 100vw;
        padding-bottom: 5rem;
        position: relative;
    }

    .functions .scroll-area{
        width: 98vw;
        min-width: 98vw;
        max-width: 98vw;
        overflow-x: visible;
        margin: auto;
        display: flex;
        background-image: url(../images/beach.jpg);
        background-repeat: no-repeat;
        background-position: center;
        background-size: cover;
        background-color: #00000020;
        background-blend-mode: color;
        white-space: normal;
        flex-wrap: wrap;
    }

    .functions .scroll-area .scroll-item{
        width: 24rem;
        position: relative;
        display: block;
        padding: 1rem 1rem;
    }
    .functions .scroll-area .scroll-item img{
        width: 24rem;
        padding-left: 1rem;
        padding-right: 1rem;
        position: relative;
        display: block;
    }
    .functions .scroll-area .scroll-item p{
        width: 23rem;
        font-size: 1.5rem;
        color: black;
        background-color: white;
        text-align: center;
        margin-top: 1rem;
        padding: 1rem;
    }
}
